Subject: Re: [PATCH] be2net: Adding support for 802.1ad (q-in-q mode)

From: Patrick McHardy <[email-masked]>
Date: Thu, 23 Jul 2009 12:12:56 +0200

Sarveshwar Bandi wrote:
> On 23/07/09 11:48 +0200, Patrick McHardy wrote:
>> Sarveshwar Bandi wrote:
>>> On 23/07/09 11:25 +0200, Patrick McHardy wrote:
>>>> adapter->vlan_grp will always be the VLAN group associated directly with
>>>> the device, which is the group for the outer tag, not the inner one. So
>>>> this can't properly associate packets with the correct VLAN device.
>>>>
>>> In this case, vid is the inner vlan id in the packet. This is also the
>>> vlan id configured by vconfig. 
>>
>> So where does the outer tag come from then? Please provide an example
>> how to configure this using Q-in-Q.
>>
> The outer vlan is totally transparent to the host. It is used by the NIC 
> to demux packets across multiple pci network functions. Currently the 
> outer vlan tags are configured on the NIC by OEM provided utilities.

I see. A proper changelog entry would have explained that and avoided
all this confusion. Not that I think using another tool for this is a
good solution, but no objections from a functional POV.